package com.qmth.sop.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description: 分配参数
 * @Author: CaoZixuan
 * @Date: 2023-08-16
 */
public class AllocationParam {
    @ApiModelProperty("角色id")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "请提供调配的身份")
    @Range(min = 1L, message = "请提供调配的身份")
    private Long roleId;

    @ApiModelProperty("用户集合")
    @NotEmpty(message = "请提供调配的用户")
    private List<Long> userIdList;

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public List<Long> getUserIdList() {
        return userIdList;
    }

    public void setUserIdList(List<Long> userIdList) {
        this.userIdList = userIdList;
    }
}
